Description

The topic behavior is default for Qt & KDE, so I think it would be nice if we change ChHostSkin a little bit on KDE. Here is the code:

        if(Qt)

            GtkCh(s.topitem[1], sw, GTK_STATE_PRELIGHT);

        else

            s.topitem[1] = s.topitem[2];

Moreover this patch uses gtk_check_version function instead of constants variables (gtk_major_version etc.).

History

#1 - 01/21/2014 02:38 AM - Zbigniew Rebacz

- File deleted (ChGtk.cpp)

#2 - 01/21/2014 02:42 AM - Zbigniew Rebacz

- File ChGtk.cpp added

Additional fix:

        if(Qt)

            s.topitemtext[1] = ChGtkColor(2, top_item);

        else

            s.topitemtext[1] = ChGtkColor(0, top_item);

#3 - 01/27/2014 02:45 PM - Miroslav Fidler

- Status changed from Patch ready to Approved
